Subject: Re: bug#19023: 24.4; Long pause when evaluating numeric expression

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 11 Nov 2014 23:25:35 +0100

Eli Zaretskii <[email-masked]> writes:

>> But normally when I evaluate a numeric expression, I do not want to
>> see a character—I’m just using M-: as a calculator
>
> But Emacs doesn't (and cannot) know what you want.

I've always thought it rather strange that Emacs tries to display the
character corresponding to the integer value when you M-: stuff.  How
useful is that, really?

In my experience, I've never wanted to know the octal value or the
corresponding Unicode codepoint of the integer.  I have found the hex
value useful, I think, once.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no